org.firebirdsql.gds.ng

## Enum TransactionState

- java.lang.Object
- - java.lang.Enum<TransactionState>
  - - org.firebirdsql.gds.ng.TransactionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionState>

      public enum TransactionState
      extends java.lang.Enum<TransactionState>

  Transactions states.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `COMMITTED`
    `COMMITTING`
    `PREPARED`
    `PREPARING`
    `ROLLED_BACK`
    `ROLLING_BACK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isValidTransition(TransactionState toState)` Is the transition to `toState` valid from this state.
    `java.util.Set<TransactionState>` | `validTransitionSet()`
    `static TransactionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final TransactionState ACTIVE

    - #### PREPARING

          public static final TransactionState PREPARING

    - #### PREPARED

          public static final TransactionState PREPARED

    - #### COMMITTING

          public static final TransactionState COMMITTING

    - #### COMMITTED

          public static final TransactionState COMMITTED

    - #### ROLLING_BACK

          public static final TransactionState ROLLING_BACK

    - #### ROLLED_BACK

          public static final TransactionState ROLLED_BACK

  - ### Method Detail

    - #### values

          public static TransactionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionState c : TransactionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isValidTransition

          public final boolean isValidTransition(TransactionState toState)

      Is the transition to `toState` valid from this state.
      Parameters:
        `toState` - The next state
      Returns:
        `true` transition is valid

    - #### validTransitionSet

          public final java.util.Set<TransactionState> validTransitionSet()

      Returns:
        Set of valid transitions from this state

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.